# CHANGELOG

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html)


--------------------------------

## v1.2.1, 2023.02.28

### Fixed

- use a puppet module of PostgreSQL compatible with Ubuntu 22.04

--------------------------------

## v1.2.0, 2023.02.27

### Added

- allow to configure CFSSL port and IP

### Changed

- use Ubuntu 22.04 instead of Ubuntu 20.04


--------------------------------

## v1.1.0, 2022.12.01

### Added

- Add Gitlab CI (linter, documentation)
- Add Gitlab templates (issue and MR)

### Changed

- Update puppet-cfssl (2.1.0 instead off 2.0.0)
- Refactor: move Puppet files to a subdirectory


--------------------------------

## v1.0.0, 2022.11.30

First release


--------------------------------

## Template

```markdown
## <major>.<minor>.patch_DEV     (unreleased)

### Added

### Changed

### Fixed

### Security

--------------------------------

```
